*:focus {
    outline: 0!important;
}

html,
body {
    scroll-behavior: smooth;
    font-family: "Montserrat", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
    font-size: 16px;
    height: 100%;
    overflow-x: hidden;
    -webkit-overflow-scrolling: touch;
}

a:hover {
    text-decoration: none;
}

ul,
li {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

a>i {
    color: white;
}

hr {
    height: .2rem;
    width: 100%;
    margin: 0;
    border: none;
}

/* Sticky Footer */
.wrapper {
    position: relative;
    min-height: 100%;
    padding-bottom: 100px;
    box-sizing: border-box;
}
.a-footer-container {
    width: 100%;
    background-color: #7d7b7c;
    color: white;
    height: 100px;
    position: absolute;
    bottom: 0;
    padding: 10px;
}
.a-footer-inside {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: center;
    height: 100%;
}
.a-footer-text {
    margin: 0;
    padding: 0;
    color: white;
}


/* Navbar */
.navbar {
    padding: 15px 0 15px 20px;
}
.nav_container {
    margin-top: 83px;
    position: relative;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
}
.a-navbar-collapse {
    position: fixed;
    top: 0;
    right: 0;
}
ul.sub-menu a {
    display: inline-block;
    width: 100%;
    height: 100%;
    padding: 20px 20px 0;
}
ul.nav_ul > li > a > span{
    font-weight: 600;
    letter-spacing: 2px;
}
.a-lang {
    display: flex;
    justify-content: flex-end;
    position: absolute;
    z-index: 10;
    right: 10px;
    width: fit-content;
}

.a-expand-nav-bar {
    width: 350px;
    height: 100vh;
    padding: 5px 25px;
    overflow-y: scroll;
}
.a-expand-nav-bar::-webkit-scrollbar {
    display: none;
}

.button-fixed{
    position: fixed;
}
.fixed-position{
    position: fixed;
}
.company-logo {
    width: 80px;
}
.a-header-110 {
    height: 116px;
}

.sections {
    width: 100%;
}

.a-large-title {
    width: 100%;
    font-weight: 900;
    font-size: 28px;
    letter-spacing: 5px;
}

.a-paragraph-text {
    padding: 25px 0;
    font-size: 16px;
    text-align: justify;
}


/* Our Business */
.business-inner {
    background-color: rgba(0, 0, 0, 0.75);
    color:white;
    text-align: center;
    padding: 25px;
    height: fit-content;
    box-shadow: inset 0px 0px 10px 0px rgba(0, 0, 0, 1);
}

.business-inner-titie{
    font-weight: 600;
    font-size: 21px;
}


/* Contact Us */
.a-contact {
    display: flex;
    flex-direction: row;
    line-height: 2;
}
.a-contact>p {
    text-align: start;
}
.a-contact>span,
.a-contact>p,
.a-contact>a {
    padding-left: 10px;
}


/* Google Map */
.a-map-responsive {
    overflow: hidden;
    width: 65%;
    padding-bottom: 35%;
    position: relative;
    height: 55%;
}
.a-map-responsive iframe {
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    position: absolute;
}


/* Section Background */
.about-section,
.corporate-info-section,
.business-section,
.contact-section,
.report-section {
    position: relative;
    z-index: 999;
    height: 100%;
    width: 100%;
    padding: 5vw 10vw;
}

.ir-section {
    position: relative;
    z-index: 999;
    height: 100%;
    width: 100%;
    padding: 5vw 0;
}

.a-about-container,
.a-corporate-info-container,
.a-business-container,
.a-ir-container,
.a-contact-container,
.a-report-container,
.a-footer.container {
    width: 100%;
    height: fit-content;
}

.bg-about {
    background: url(../img/aboutus.jpg) no-repeat;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-position: center center;
    background-attachment: fixed;
}

.bg-contact-us {
    background: url(../img/aboutus.jpg) no-repeat;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-position: center center;
    background-attachment: fixed;
}

.bg-corporate-info {
    background: url(../img/aboutus.jpg) no-repeat;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-position: center center;
    background-attachment: fixed;
}

.bg-business {
    background: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1)), url(../img/business.jpg) no-repeat;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-position: center center;
    background-attachment: fixed;
}

.bg-ir {
    background: url(../img/aboutus.jpg) no-repeat;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-position: center center;
    background-attachment: fixed;
}

.bg-financial-reports {
    background: url(../img/aboutus.jpg) no-repeat;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-position: center center;
    background-attachment: fixed;
}


/* Financial Reports Swiper */
.swiper-slide {
    text-align: center;
}

.swiper-slide h3{
    font-size: 16px;
}

.report-swiper-container {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

/* Financial Reports */
.hide {
    display: none;
}
.form-control {
    width: 120px;
    padding: 0 10px;
}
.a-reports {
    display: flex;
    flex-wrap: wrap;
}

.report {
    margin: 0 20px 20px 0;
    text-align: center;
    padding: 20px;
    width: fit-content;
    background-color: white;
    -webkit-box-shadow: 0px 0px 1px 0px rgba(0, 0, 0, 0.65);
    -moz-box-shadow: 0px 0px 1px 0px rgba(0, 0, 0, 0.65);
    box-shadow: 0px 0px 1px 0px rgba(0, 0, 0, 0.65);
    border: 3px solid white;
}

.report>img {
    min-width: 120px;
    width: 100%;
    max-width: 250px;
}

/* Announcement */
.document-title > p{
    margin-bottom: 0.35rem;
    max-width: 650px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
}

/* Auto Upload System TEXT*/
.aconnectSystem {
    width: 100%;
    text-align: right;
    font-size: 13px;
    padding-top: 20px;
}

/* Corporate Info */
.a-info {
    margin-top: 3rem;
    margin-bottom: 2.5rem;
}


/*==============================================================================*/
/*==================================RESPONSIVE==================================*/
/*==============================================================================*/


/* Common Mobile Devices */
@media (max-width: 575.98px) {
    .business-section{
        padding: 20px;
    }

    .document-title > p{
        -webkit-line-clamp: 2;
        
    }

    .about-section,
    .corporate-info-section,
    .business-section,
    .contact-section,
    .report-section {
        padding: 20px;
    }


    .a-paragraph-text{
        margin-bottom: 0;
    }
    .a-header-110 {
    }
    .company-logo {
        width: 50px;
    }
    .a-large-title {
        margin-top: 25px;
        font-size: 1.25rem!important;
        line-height: 2;
        text-align: center;
        letter-spacing: 2px;
    }
    .a-paragraph-text {
        font-size: 1rem;
    }
    .report-swiper-container>.swiper-wrapper>div.swiper-slide {
        padding: 0 75px;
    }
    .report-swiper-container>.swiper-wrapper>div.swiper-slide>h3 {
        font-size: 1rem;
    }
    #btnToTop {
        padding: 8px!important;
        right: 25px;
    }
    .a-contact {
        display: flex;
        flex-direction: column;
    }
    .a-contact>span,
    .a-contact>p,
    .a-contact>a {
        padding-left: 0;
    }
    .report>h5 {
        font-size: 1rem;
    }
    .a-map-responsive {
        overflow: hidden;
        width: 100%;
        padding-bottom: 80%;
        position: relative;
    }
    .p-5 {
        padding: 1.5rem!important;
    }
    .a-footer-inside > a > img{
        margin-bottom: .5rem;
    }
    .a-footer-text {
        font-size: 12px;
        color: white;
    }
    .a-financial-container,
    .a-announcement-container{
        min-height: auto;
    }

}


/* Small devices (landscape phones, less than 768px) */
@media (max-width: 767.98px) {
    .a-header-110 {
        height: 103px;
    }
    .company-logo {
        width: 65px;
    }
    .a-contact>span,
    p,
    a {
        padding-left: 0;
    }
    .a-info {
        margin-top: 1.25rem;
        margin-bottom: 0.15rem;
    }
    .bg-about,
    .bg-business,
    .bg-contact-us,
    .bg-corporate-info,
    .bg-ir,
    .bg-financial-reports {
        background-attachment: initial;
    }
}


/* Medium devices (tablets, less than 992px) */
@media (max-width: 991.98px) {
    .a-financial-container {
        padding: 1.5rem!important;
    }
    div.a-financial-container>div.row {
        display: contents;
    }
    .a-large-title {
        margin-top: 1.5rem;
        font-size: 24px;
    }
    .a-contact {
        line-height: 1.5;
    }
}


/* Large devices (desktops, less than 1200px) */
@media (max-width: 1199.98px) {
    .a-fr>.a-large-title {
        margin-top: 2.5rem;
    }
    .a-la>.a-large-title {
        margin-top: 2.5rem;
    }
    .ir-section {
        padding: 0;
    }
}


/* Sticky Footer */
@media (max-width: 848.98px) {
    .wrapper {
        position: relative;
        min-height: 100%;
        padding-bottom: 150px;
        box-sizing: border-box;
    }
    .a-footer-container {
        width: 100%;
        background: #7d7b7c;
        color: white;
        height: 150px;
        position: absolute;
        bottom: 0;
        padding: 20px 10px;
    }
}

.a-financial-container{
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}












/* BACK TO TOP BUTTON */
/* #btnToTop {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 30px;
    z-index: 9999;
    border: none;
    outline: none;
    background-color: white;
    opacity: 75%;
    cursor: pointer;
    padding: 15px;
    border-radius: 4px;
    -webkit-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.55);
    -moz-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.55);
    box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.55);
}
#btnToTop:hover {
    background-color: #555;
} */
